Bug 32182 - Replace static tabs markup with Bootstrap
Summary: Replace static tabs markup with Bootstrap
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Katrin Fischer
URL:
Keywords: rel_22_11_candidate
Depends on: 31759
Blocks:
  Show dependency treegraph
 
Reported: 2022-11-11 19:39 UTC by Owen Leonard
Modified: 2022-11-16 12:40 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.11.00


Attachments
Bug 32182: Replace static tabs markup with Bootstrap (26.79 KB, patch)
2022-11-14 14:27 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 32103: Remove flex from tab-content list elements (26.69 KB, patch)
2022-11-14 14:50 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 32182: Replace static tabs markup with Bootstrap (26.69 KB, patch)
2022-11-14 14:52 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 32182: Replace static tabs markup with Bootstrap (26.73 KB, patch)
2022-11-14 15:08 UTC, David Nind
Details | Diff | Splinter Review
Bug 32182: Replace static tabs markup with Bootstrap (26.79 KB, patch)
2022-11-14 19:53 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2022-11-11 19:39:02 UTC
In order for tabs to look correct on certain pages which use the "statictabs" class we need to restructure the tabs to use Bootstrap markup.

maininvoice.tt
pay.tt
paycollect.tt
reviewswaiting.tt
Comment 1 Owen Leonard 2022-11-14 14:27:34 UTC Comment hidden (obsolete)
Comment 2 David Nind 2022-11-14 14:37:49 UTC
The patch no longer applies 8-(..

git bz apply 32182

Bug 32182 - Replace static tabs markup with Bootstrap

143830 - Bug 32182: Replace static tabs markup with Bootstrap

Apply? [(y)es, (n)o, (i)nteractive] y
Applying: Bug 32182: Replace static tabs markup with Bootstrap
Using index info to reconstruct a base tree...
M	koha-tmpl/intranet-tmpl/prog/en/modules/members/mancredit.tt
M	koha-tmpl/intranet-tmpl/prog/en/modules/members/maninvoice.tt
M	koha-tmpl/intranet-tmpl/prog/en/modules/members/paycollect.tt
Falling back to patching base and 3-way merge...
Auto-merging koha-tmpl/intranet-tmpl/prog/en/modules/members/paycollect.tt
Auto-merging koha-tmpl/intranet-tmpl/prog/en/modules/members/maninvoice.tt
Auto-merging koha-tmpl/intranet-tmpl/prog/en/modules/members/mancredit.tt
CONFLICT (content): Merge conflict in koha-tmpl/intranet-tmpl/prog/en/modules/members/mancredit.tt
error: Failed to merge in the changes.
Patch failed at 0001 Bug 32182: Replace static tabs markup with Bootstrap
Comment 3 Owen Leonard 2022-11-14 14:50:20 UTC Comment hidden (obsolete)
Comment 4 Owen Leonard 2022-11-14 14:52:25 UTC
Created attachment 143833 [details] [review]
Bug 32182: Replace static tabs markup with Bootstrap

This patch reimplements certain tabbed interfaces to use Bootstrap
markup. Previously these tabs required special CSS because they're
static, i.e. not JS-driven tabs for switching in-page. The tabs are
links to separate pages.

Note: This patch includes whitespace changes, so use diff accordingly.

To test, apply the patch and rebuild the staff interface CSS.

Test the following pages to confirm that the tabs look correct and still
link to the correct locations:

- Patron details
    - Accounting
      - Pay amount
    - Transactions
    - Create manual invoice
    - Create manual credit
- Tools -> Comments
Comment 5 David Nind 2022-11-14 15:08:14 UTC
Created attachment 143836 [details] [review]
Bug 32182: Replace static tabs markup with Bootstrap

This patch reimplements certain tabbed interfaces to use Bootstrap
markup. Previously these tabs required special CSS because they're
static, i.e. not JS-driven tabs for switching in-page. The tabs are
links to separate pages.

Note: This patch includes whitespace changes, so use diff accordingly.

To test, apply the patch and rebuild the staff interface CSS.

Test the following pages to confirm that the tabs look correct and still
link to the correct locations:

- Patron details
    - Accounting
      - Pay amount
    - Transactions
    - Create manual invoice
    - Create manual credit
- Tools -> Comments

Signed-off-by: David Nind <david@davidnind.com>
Comment 6 Katrin Fischer 2022-11-14 19:53:39 UTC
Created attachment 143865 [details] [review]
Bug 32182: Replace static tabs markup with Bootstrap

This patch reimplements certain tabbed interfaces to use Bootstrap
markup. Previously these tabs required special CSS because they're
static, i.e. not JS-driven tabs for switching in-page. The tabs are
links to separate pages.

Note: This patch includes whitespace changes, so use diff accordingly.

To test, apply the patch and rebuild the staff interface CSS.

Test the following pages to confirm that the tabs look correct and still
link to the correct locations:

- Patron details
    - Accounting
      - Pay amount
    - Transactions
    - Create manual invoice
    - Create manual credit
- Tools -> Comments

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Tomás Cohen Arazi 2022-11-16 12:40:20 UTC
Pushed to master for 22.11.

Nice work everyone, thanks!